package honicka;

/**
 * <p>Title: Jednoducha honicka pro dva hrace</p>
 * <p>Description: </p>
 * <p>Copyright: Copyright (c) 2005</p>
 * <p>Company: </p>
 * @author Miroslav Balik
 * @version 1.0
 * seznam v jednom okamziku stisknutych klaves
 */

public class ListOfKeys {
  private int indexOfFirstFree;
  private int[] keys;
  ListOfKeys(int capacity){
    if(capacity < 20)capacity = 20;
    keys = new int[capacity];
    indexOfFirstFree = 0;
  }
  public int size(){
    return indexOfFirstFree;
  }
  public int getKey(int index){
    return keys[index];
  }
  public boolean isEmpty(){
    return indexOfFirstFree==0;
  }
  public void add(int value){
    keys[indexOfFirstFree] = value; // kdyz se prekroci kapacita bude generov8na vyjimka, index v poli mimo meze
    indexOfFirstFree++;
  }
  public boolean contains(int value){
    for (int i = 0; i < indexOfFirstFree; i++) {
      if(keys[i]==value)return true;
    }
    return false;
  }
  /** removes an integer value
   * if the list does not contain value, returns false
   */

  public boolean remove(int value){
    for (int i = 0; i < indexOfFirstFree; i++) {
      if(keys[i]==value){
        for (int j = i; j < indexOfFirstFree;  j++) {
          keys[j]=keys[j+1];
          indexOfFirstFree--;
        }

        return true;
      }
    }
    return false;
  }

}